#include "options.ih"

    // by options1.cc

void Options::loadConfigFile()
{
    string configFile;              // long options, default ~/.ssh-cron
    if (not d_arg.option(&configFile, 'c'))
    {
        configFile = User().homedir() + s_defaultConfigFile;
        if (not FileSystem{ configFile }.exists() )
            configFile.clear();
    }
    if (not configFile.empty())
        d_arg.open(configFile);     // read the arg config file, which is also
                                    // the cron-file
}
